package com.cyksj.mapper.manage.cms;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cyksj.model.entity.CmsMenu;
import com.cyksj.model.entity.CmsUser;
import com.cyksj.model.views.CmsMenuVO;

import java.util.List;

/*
 *项目名: netflix
 *文件名: CmsMenuMapper
 *创建者: JavaZou
 *创建时间:2023/1/11 15:11
 */
public interface CmsMenuMapper extends BaseMapper<CmsMenu> {
	List<CmsMenu> getCmsMenusByUserId(Long userId);

	List<CmsUser> getAllCmsUserByMenuId(Long menuId);

	void deleteMenuAndChild(Long id);

	List<CmsMenuVO> getALlMenu();

	List<CmsMenuVO> getCmsMenusList();

	List<CmsMenuVO> getSelfCmsMenusList(Long adminId);

	List<CmsMenu> getCmsMenusByAccount(Long account);
}
